[LSN-0027-1] Linux kernel vulnerability

Benjamin M. Romer benjamin.romer at canonical.com
Thu Aug 3 19:57:30 UTC 2017


==========================================================================
Kernel Live Patch Security Notice LSN-0027-1
August 03, 2017

linux vulnerability
==========================================================================

A security issue affects these releases of Ubuntu:

| Series           | Base kernel  | Arch     | flavors          |
|------------------+--------------+----------+------------------|
| Ubuntu 16.04 LTS | 4.4.0        | amd64    | generic          |
| Ubuntu 16.04 LTS | 4.4.0        | amd64    | lowlatency       |
| Ubuntu 14.04 LTS | 4.4.0        | amd64    | generic          |
| Ubuntu 14.04 LTS | 4.4.0        | amd64    | lowlatency       |

Summary:

Several security issues were fixed in the kernel.

Software Description:
- linux: Linux kernel

Details:

Fan Wu and Shixiong Zhao discovered a race condition between inotify events
and vfs rename operations in the Linux kernel. An unprivileged local
attacker could use this to cause a denial of service (system crash) or
execute arbitrary code. (CVE-2017-7533)

Update instructions:

The problem can be corrected by updating your livepatches to the following
versions:

| Kernel          | Version  | flavors                  |
|-----------------+----------+--------------------------|
| Kernel          | Version  | flavors                  |
|-----------------+----------+--------------------------|
| 4.4.0-21.37     | 27.3     | generic, lowlatency      |
| 4.4.0-22.39     | 27.3     | generic, lowlatency      |
| 4.4.0-22.40     | 27.3     | generic, lowlatency      |
| 4.4.0-24.43     | 27.3     | generic, lowlatency      |
| 4.4.0-28.47     | 27.3     | generic, lowlatency      |
| 4.4.0-31.50     | 27.3     | generic, lowlatency      |
| 4.4.0-34.53     | 27.3     | generic, lowlatency      |
| 4.4.0-36.55     | 27.3     | generic, lowlatency      |
| 4.4.0-38.57     | 27.3     | generic, lowlatency      |
| 4.4.0-42.62     | 27.3     | generic, lowlatency      |
| 4.4.0-43.63     | 27.3     | generic, lowlatency      |
| 4.4.0-45.66     | 27.3     | generic, lowlatency      |
| 4.4.0-47.68     | 27.3     | generic, lowlatency      |
| 4.4.0-51.72     | 27.3     | generic, lowlatency      |
| 4.4.0-53.74     | 27.3     | generic, lowlatency      |
| 4.4.0-57.78     | 27.3     | generic, lowlatency      |
| 4.4.0-59.80     | 27.3     | generic, lowlatency      |
| 4.4.0-62.83     | 27.3     | generic, lowlatency      |
| 4.4.0-63.84     | 27.3     | generic, lowlatency      |
| 4.4.0-64.85     | 27.3     | generic, lowlatency      |
| 4.4.0-66.87     | 27.3     | generic, lowlatency      |
| 4.4.0-67.88     | 27.3     | generic, lowlatency      |
| 4.4.0-70.91     | 27.3     | generic, lowlatency      |
| 4.4.0-71.92     | 27.3     | generic, lowlatency      |
| 4.4.0-72.93     | 27.3     | generic, lowlatency      |
| 4.4.0-75.96     | 27.3     | generic, lowlatency      |
| 4.4.0-77.98     | 27.3     | generic, lowlatency      |
| 4.4.0-78.99     | 27.3     | generic, lowlatency      |
| 4.4.0-79.100    | 27.3     | generic, lowlatency      |
| 4.4.0-81.104    | 27.3     | generic, lowlatency      |
| 4.4.0-83.106    | 27.3     | generic, lowlatency      |
| lts-4.4.0-21.37_14.04.1-lts-xenial | 14.04.1  | generic, lowlatency      |
| lts-4.4.0-22.39_14.04.1-lts-xenial | 14.04.1  | generic, lowlatency      |
| lts-4.4.0-22.40_14.04.1-lts-xenial | 14.04.1  | generic, lowlatency      |
| lts-4.4.0-24.43_14.04.1-lts-xenial | 14.04.1  | generic, lowlatency      |
| lts-4.4.0-28.47_14.04.1-lts-xenial | 14.04.1  | generic, lowlatency      |
| lts-4.4.0-31.50_14.04.1-lts-xenial | 14.04.1  | generic, lowlatency      |
| lts-4.4.0-34.53_14.04.1-lts-xenial | 14.04.1  | generic, lowlatency      |
| lts-4.4.0-36.55_14.04.1-lts-xenial | 14.04.1  | generic, lowlatency      |
| lts-4.4.0-38.57_14.04.1-lts-xenial | 14.04.1  | generic, lowlatency      |
| lts-4.4.0-42.62_14.04.1-lts-xenial | 14.04.1  | generic, lowlatency      |
| lts-4.4.0-45.66_14.04.1-lts-xenial | 14.04.1  | generic, lowlatency      |
| lts-4.4.0-47.68_14.04.1-lts-xenial | 14.04.1  | generic, lowlatency      |
| lts-4.4.0-51.72_14.04.1-lts-xenial | 14.04.1  | generic, lowlatency      |
| lts-4.4.0-53.74_14.04.1-lts-xenial | 14.04.1  | generic, lowlatency      |
| lts-4.4.0-57.78_14.04.1-lts-xenial | 14.04.1  | generic, lowlatency      |
| lts-4.4.0-59.80_14.04.1-lts-xenial | 14.04.1  | generic, lowlatency      |
| lts-4.4.0-62.83_14.04.1-lts-xenial | 14.04.1  | generic, lowlatency      |
| lts-4.4.0-64.85_14.04.1-lts-xenial | 14.04.1  | generic, lowlatency      |
| lts-4.4.0-66.87_14.04.1-lts-xenial | 14.04.1  | generic, lowlatency      |
| lts-4.4.0-70.91_14.04.1-lts-xenial | 14.04.1  | generic, lowlatency      |
| lts-4.4.0-71.92_14.04.1-lts-xenial | 14.04.1  | generic, lowlatency      |
| lts-4.4.0-72.93_14.04.1-lts-xenial | 14.04.1  | generic, lowlatency      |
| lts-4.4.0-75.96_14.04.1-lts-xenial | 14.04.1  | generic, lowlatency      |
| lts-4.4.0-79.100_14.04.1-lts-xenial | 14.04.1  | generic, lowlatency      |
| lts-4.4.0-81.104_14.04.1-lts-xenial | 14.04.1  | generic, lowlatency      |
| lts-4.4.0-87.110_14.04.1-lts-xenial | 14.04.1  | generic, lowlatency      |

Additionally, you should install an updated kernel with these fixes and
reboot at your convienience.

References:
  CVE-2017-7533



More information about the ubuntu-security-announce mailing list